/* Project filed -- Intelligent file cache and migration system
 * global.h -- Global definitions.
 * Marc SCHAEFER <schaefer@alphanet.ch>
 * Created: Sun Apr 9 2000
 * LICENSE
 *    (C) 2000 by Marc SCHAEFER, licensed under the terms of the
 *     GNU General Public License as published by the Free Software
 *     Foundation; either version 2 or later (at your option).
 * DESCRIPTION
 *    This file contains the global definitions for the support library.
 * NOTES
 * BUGS
 * TODO
 * BASED-ON
 *    Original work.
 * MODIFICATION-HISTORY
 * $Id: global.h,v 1.3 2000/07/25 18:07:44 schaefer Exp $
 */

#ifndef _GLOBAL_H
#define _GLOBAL_H

/* Type definitions */

typedef int fd_t;

#define TRUE (-1)
#define FALSE 0
typedef signed char BOOL;

typedef unsigned char * addr_t;

/* Macros */

#define MAX(x, y) (((x) < (y)) ? (y) : (x))
#define MIN(x, y) (((x) < (y)) ? (x) : (y))

#ifndef offsetof
#define offsetof(t, f) ((int) (&(((t *) 0)->f)))
#endif /* !offsetof */

/* Constants */

#define MAX_LINE_LENGTH 1024 /* Error if longer */

#endif /* !_GLOBAL_H */
