/* Project filed -- Intelligent file cache and migration system
 * server_client_defs.h -- Definitions for client/server TCP protocol.
 * Marc SCHAEFER <schaefer@alphanet.ch>
 * Created: Sun Apr 9 2000
 * LICENSE
 *    (C) 2000 by Marc SCHAEFER, licensed under the terms of the
 *     GNU General Public License as published by the Free Software
 *     Foundation; either version 2 or later (at your option).
 * DESCRIPTION
 *    This file contains definitions for the client/server TCP
 *    protocol.
 * NOTES
 * BUGS
 *    - should be more plateform independant (big/little endian), use
 *      functions, more opaque, with proper definitions, in the lib, etc
 * TODO
 * BASED-ON
 *    Original work.
 * MODIFICATION-HISTORY
 * $Id: server_client_defs.h,v 1.3 2001/01/02 10:37:07 schaefer Exp $
 */

#ifndef _SERVER_CLIENT_DEFS_H
#define _SERVER_CLIENT_DEFS_H

/* Type definitions */

#define RANDOM_CRYPT_KEY_SIZE 8 /* 64 bits */

#define CLIENT_HELLO_PROTOCOL_VERSION 1

typedef struct {
   int protocol_version;

   char client_name[MAX_CLIENT_NAME_SIZE];
   char server_name[MAX_SERVER_NAME_SIZE];
} client_initial_message_t; /* sent in clear */

/* Hum. This is a known structure (mostly), so is it wise to
 * encrypt it, too ?
 * BUGS
 *    - modify in an union, support all operation (read, write, delete, list)
 *      (see paper sheet).
 */
/* see session_dumper_info_t in server_defs.h */

#endif /* !_SERVER_CLIENT_DEFS_H */
